## org.apache.axis.wsdl.symbolTable
Class BaseType

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Type
                  org.apache.axis.wsdl.symbolTable.BaseType

All Implemented Interfaces:
  java.io.Serializable

public class BaseType
extends Type

This Type is for a QName represents a Base Type (i.e. xsd:string represents a java.lang.String)

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`BaseType(QName pqName)` Constructor BaseType

Methods inherited from class org.apache.axis.wsdl.symbolTable.Type
`isGenerated, setGenerated`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry

`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseType

    public BaseType(QName pqName)

  Constructor BaseType

Parameters:
  `pqName` -

Copyright © 2005 Apache Web Services Project. All Rights Reserved.